commit: 9cc46cc38b8b31bbf05e3517602292b2592cabf3
Author: Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 13 22:29:32 2015 +0000
Commit: Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Sun Sep 13 23:39:52 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9cc46cc3
app-text/podofo: fix 0.9.3 tests for bug 556962
Package-Manager: portage-2.2.20.1
app-text/podofo/podofo-0.9.3.ebuild | 4 ++++
1 file changed, 4 insertions(+)
diff --git a/app-text/podofo/podofo-0.9.3.ebuild
b/app-text/podofo/podofo-0.9.3.ebuild
index 767b209..8d0b76f 100644
--- a/app-text/podofo/podofo-0.9.3.ebuild
+++ b/app-text/podofo/podofo-0.9.3.ebuild
@@ -33,6 +33,10 @@ DOCS="AUTHORS ChangeLog TODO"
src_prepare() {
local x sed_args
+ # bug 556962
+ sed -i -e 's|Decrypt( pEncryptedBuffer, nOutputLen, pDecryptedBuffer,
m_lLen );|Decrypt( pEncryptedBuffer, (pdf_long)nOutputLen, pDecryptedBuffer,
(pdf_long\&)m_lLen );|' \
+ test/unit/EncryptTest.cpp || die
+
sed -i \
-e "s:LIBDIRNAME \"lib\":LIBDIRNAME \"$(get_libdir)\":" \
-e "s:LIBIDN_FOUND:HAVE_LIBIDN:g" \